// Package imports:
import 'package:auto_route/auto_route.dart';
import 'package:remever/router.gr.dart';

@AutoRouterConfig(replaceInRouteName: 'Screen|Page,Route')
class AppRouter extends RootStackRouter {
  @override
  RouteType get defaultRouteType => const RouteType.material(); //.cupertino, .adaptive ..etc

  @override
  List<AutoRoute> get routes => <AutoRoute>[
    AutoRoute(path: '/', page: SplashRoute.page),
    AutoRoute(path: '/auth', page: AuthRoute.page),
    AutoRoute(
      path: '/home',
      page: HomeRoute.page,
      children: <AutoRoute>[
        AutoRoute(path: 'settings', page: SettingsRoute.page),
        AutoRoute(path: 'statistick', page: StatistickRoute.page),
        AutoRoute(path: 'create_card', page: CreateRoute.page),
        AutoRoute(path: 'collections', page: CollectionRoute.page),
      ],
    ),

    AutoRoute(path: '/crud_collection', page: CrudCollectionRoute.page),
    AutoRoute(path: '/crudFullField', page: CrudCollectionFullscreenField.page),
    AutoRoute(path: '/collection_details', page: CollectionDetailRoute.page),
    // AutoRoute(path: '/addTags', page: AddTagsRoute.page),
    // AutoRoute(path: '/home', page: HomeRoute.page),
    // AutoRoute(path: '/logs', page: LogRoute.page),
    AutoRoute(path: '/sandbox', page: SandboxRoute.page),
  ];

  @override
  List<AutoRouteGuard> get guards => <AutoRouteGuard>[
    // optionally add root guards here
  ];
}
